<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: vector/src/vector/vector.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_1fe2e3f40887fbec9fd2493c34e7d145.html">vector</a></li><li class="navelem"><a class="el" href="dir_5c60f3e8c3954d5c5c5ecd5ca790863c.html">src</a></li><li class="navelem"><a class="el" href="dir_5af946dc53da9c500339702c4e564dc7.html">vector</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">vector.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file contains implementation of uint32_t vector.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;assert.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;<a class="el" href="vector_8h_source.html">vector/vector.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a8e683647db00fc9564cc4261646e5207"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8c.html#a8e683647db00fc9564cc4261646e5207">vector_init</a> (<a class="el" href="structVector.html">Vector</a> *const vector, uint32_t elementSize)</td></tr>
<tr class="memdesc:a8e683647db00fc9564cc4261646e5207"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function inits vector.  <a href="#a8e683647db00fc9564cc4261646e5207">More...</a><br /></td></tr>
<tr class="separator:a8e683647db00fc9564cc4261646e5207"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad31be60feb66c80f626c74edcbbf9a79"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8c.html#ad31be60feb66c80f626c74edcbbf9a79">vector_free</a> (<a class="el" href="structVector.html">Vector</a> *const vector)</td></tr>
<tr class="memdesc:ad31be60feb66c80f626c74edcbbf9a79"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function frees vector.  <a href="#ad31be60feb66c80f626c74edcbbf9a79">More...</a><br /></td></tr>
<tr class="separator:ad31be60feb66c80f626c74edcbbf9a79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b5250532a648660be6e12ac0bd3fc55"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8c.html#a6b5250532a648660be6e12ac0bd3fc55">vector_empty</a> (<a class="el" href="structVector.html">Vector</a> const *const vector)</td></tr>
<tr class="memdesc:a6b5250532a648660be6e12ac0bd3fc55"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns 1 if the vector is empty.  <a href="#a6b5250532a648660be6e12ac0bd3fc55">More...</a><br /></td></tr>
<tr class="separator:a6b5250532a648660be6e12ac0bd3fc55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1edc1e76aa589fc4d30426b79b1fd1b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8c.html#ab1edc1e76aa589fc4d30426b79b1fd1b">vector_size</a> (<a class="el" href="structVector.html">Vector</a> const *const vector)</td></tr>
<tr class="memdesc:ab1edc1e76aa589fc4d30426b79b1fd1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns vector size.  <a href="#ab1edc1e76aa589fc4d30426b79b1fd1b">More...</a><br /></td></tr>
<tr class="separator:ab1edc1e76aa589fc4d30426b79b1fd1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0b0df253814b919ee819a9eede31d3e"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8c.html#ae0b0df253814b919ee819a9eede31d3e">vector_elementSize</a> (<a class="el" href="structVector.html">Vector</a> const *const vector)</td></tr>
<tr class="memdesc:ae0b0df253814b919ee819a9eede31d3e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the element size in bytes.  <a href="#ae0b0df253814b919ee819a9eede31d3e">More...</a><br /></td></tr>
<tr class="separator:ae0b0df253814b919ee819a9eede31d3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a423c93577413c3fc8b47b117bd651916"><td class="memItemLeft" align="right" valign="top">ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8c.html#a423c93577413c3fc8b47b117bd651916">vector_firstAlloc</a> (<a class="el" href="structVector.html">Vector</a> *const vector)</td></tr>
<tr class="memdesc:a423c93577413c3fc8b47b117bd651916"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function performs the first allocation of a vector.  <a href="#a423c93577413c3fc8b47b117bd651916">More...</a><br /></td></tr>
<tr class="separator:a423c93577413c3fc8b47b117bd651916"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a4fa9dd217ec1de815de2f789da9a2d"><td class="memItemLeft" align="right" valign="top">ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8c.html#a0a4fa9dd217ec1de815de2f789da9a2d">vector_realloc</a> (<a class="el" href="structVector.html">Vector</a> *const vector)</td></tr>
<tr class="memdesc:a0a4fa9dd217ec1de815de2f789da9a2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This functions performs the reallocation of a vector.  <a href="#a0a4fa9dd217ec1de815de2f789da9a2d">More...</a><br /></td></tr>
<tr class="separator:a0a4fa9dd217ec1de815de2f789da9a2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad96d434d0467299d2476cf3662762f3b"><td class="memItemLeft" align="right" valign="top">ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8c.html#ad96d434d0467299d2476cf3662762f3b">vector_resize</a> (<a class="el" href="structVector.html">Vector</a> *const vector)</td></tr>
<tr class="memdesc:ad96d434d0467299d2476cf3662762f3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function resizes a vector.  <a href="#ad96d434d0467299d2476cf3662762f3b">More...</a><br /></td></tr>
<tr class="separator:ad96d434d0467299d2476cf3662762f3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2932d39cebcd45864948cb968d97c600"><td class="memItemLeft" align="right" valign="top">ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8c.html#a2932d39cebcd45864948cb968d97c600">vector_pushback</a> (<a class="el" href="structVector.html">Vector</a> *const vector, void const *const value)</td></tr>
<tr class="memdesc:a2932d39cebcd45864948cb968d97c600"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function pushes a new value to the end of the vector.  <a href="#a2932d39cebcd45864948cb968d97c600">More...</a><br /></td></tr>
<tr class="separator:a2932d39cebcd45864948cb968d97c600"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17ce9a8614805bdee93540bd60db2d49"><td class="memItemLeft" align="right" valign="top">ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8c.html#a17ce9a8614805bdee93540bd60db2d49">vector_get</a> (<a class="el" href="structVector.html">Vector</a> *const vector, uint32_t i, void *const value)</td></tr>
<tr class="memdesc:a17ce9a8614805bdee93540bd60db2d49"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function gets element.  <a href="#a17ce9a8614805bdee93540bd60db2d49">More...</a><br /></td></tr>
<tr class="separator:a17ce9a8614805bdee93540bd60db2d49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace58d491db69b9909c8c2296fb950f6c"><td class="memItemLeft" align="right" valign="top">ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8c.html#ace58d491db69b9909c8c2296fb950f6c">vector_set</a> (<a class="el" href="structVector.html">Vector</a> *const vector, uint32_t i, void const *const value)</td></tr>
<tr class="memdesc:ace58d491db69b9909c8c2296fb950f6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets data to an element.  <a href="#ace58d491db69b9909c8c2296fb950f6c">More...</a><br /></td></tr>
<tr class="separator:ace58d491db69b9909c8c2296fb950f6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2458f0c13be663e56529420914c30f6f"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8c.html#a2458f0c13be663e56529420914c30f6f">vector_at</a> (<a class="el" href="structVector.html">Vector</a> *const vector, uint32_t i)</td></tr>
<tr class="memdesc:a2458f0c13be663e56529420914c30f6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns pointer to an element.  <a href="#a2458f0c13be663e56529420914c30f6f">More...</a><br /></td></tr>
<tr class="separator:a2458f0c13be663e56529420914c30f6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa94740916f54dbc5fd047a8d907ce1eb"><td class="memItemLeft" align="right" valign="top">void const  *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8c.html#aa94740916f54dbc5fd047a8d907ce1eb">vector_atConst</a> (<a class="el" href="structVector.html">Vector</a> const *const vector, uint32_t i)</td></tr>
<tr class="memdesc:aa94740916f54dbc5fd047a8d907ce1eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns constant pointer to an element.  <a href="#aa94740916f54dbc5fd047a8d907ce1eb">More...</a><br /></td></tr>
<tr class="separator:aa94740916f54dbc5fd047a8d907ce1eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fee91ae3a7208a4474f5c4e13b6ee67"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8c.html#a6fee91ae3a7208a4474f5c4e13b6ee67">vector_data</a> (<a class="el" href="structVector.html">Vector</a> *const vector)</td></tr>
<tr class="memdesc:a6fee91ae3a7208a4474f5c4e13b6ee67"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns pointer to data.  <a href="#a6fee91ae3a7208a4474f5c4e13b6ee67">More...</a><br /></td></tr>
<tr class="separator:a6fee91ae3a7208a4474f5c4e13b6ee67"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file contains implementation of uint32_t vector. </p>
<dl class="section author"><dt>Author</dt><dd>Tomáš Milet, <a href="#" onclick="location.href='mai'+'lto:'+'imi'+'le'+'t@f'+'it'+'.vu'+'tb'+'r.c'+'z'; return false;">imile<span style="display: none;">.nosp@m.</span>t@fi<span style="display: none;">.nosp@m.</span>t.vut<span style="display: none;">.nosp@m.</span>br.c<span style="display: none;">.nosp@m.</span>z</a> </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a2458f0c13be663e56529420914c30f6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2458f0c13be663e56529420914c30f6f">&#9670;&nbsp;</a></span>vector_at()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* vector_at </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *const&#160;</td>
          <td class="paramname"><em>vector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>i</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns pointer to an element. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector </td></tr>
    <tr><td class="paramname">i</td><td>index of the element</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element or NULL </dd></dl>

</div>
</div>
<a id="aa94740916f54dbc5fd047a8d907ce1eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa94740916f54dbc5fd047a8d907ce1eb">&#9670;&nbsp;</a></span>vector_atConst()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void const* vector_atConst </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> const *const&#160;</td>
          <td class="paramname"><em>vector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>i</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns constant pointer to an element. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector </td></tr>
    <tr><td class="paramname">i</td><td>index of element</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>const pointer </dd></dl>

</div>
</div>
<a id="a6fee91ae3a7208a4474f5c4e13b6ee67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6fee91ae3a7208a4474f5c4e13b6ee67">&#9670;&nbsp;</a></span>vector_data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* vector_data </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *const&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns pointer to data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>data pointer </dd></dl>

</div>
</div>
<a id="ae0b0df253814b919ee819a9eede31d3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0b0df253814b919ee819a9eede31d3e">&#9670;&nbsp;</a></span>vector_elementSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t vector_elementSize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> const *const&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns the element size in bytes. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>element size in bytes </dd></dl>

</div>
</div>
<a id="a6b5250532a648660be6e12ac0bd3fc55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b5250532a648660be6e12ac0bd3fc55">&#9670;&nbsp;</a></span>vector_empty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int vector_empty </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> const *const&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns 1 if the vector is empty. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>1 if vector is empty, 0 otherwise </dd></dl>

</div>
</div>
<a id="a423c93577413c3fc8b47b117bd651916"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a423c93577413c3fc8b47b117bd651916">&#9670;&nbsp;</a></span>vector_firstAlloc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ErrorCode vector_firstAlloc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *const&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function performs the first allocation of a vector. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>error code </dd></dl>

</div>
</div>
<a id="ad31be60feb66c80f626c74edcbbf9a79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad31be60feb66c80f626c74edcbbf9a79">&#9670;&nbsp;</a></span>vector_free()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void vector_free </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *const&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function frees vector. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a17ce9a8614805bdee93540bd60db2d49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17ce9a8614805bdee93540bd60db2d49">&#9670;&nbsp;</a></span>vector_get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ErrorCode vector_get </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *const&#160;</td>
          <td class="paramname"><em>vector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *const&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function gets element. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector </td></tr>
    <tr><td class="paramname">i</td><td>element index </td></tr>
    <tr><td class="paramname">value</td><td>element</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns ERR_OK if successful </dd></dl>

</div>
</div>
<a id="a8e683647db00fc9564cc4261646e5207"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e683647db00fc9564cc4261646e5207">&#9670;&nbsp;</a></span>vector_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void vector_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *const&#160;</td>
          <td class="paramname"><em>vector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>elementSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function inits vector. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector </td></tr>
    <tr><td class="paramname">elementSize</td><td>size of one element in bytes </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2932d39cebcd45864948cb968d97c600"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2932d39cebcd45864948cb968d97c600">&#9670;&nbsp;</a></span>vector_pushback()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ErrorCode vector_pushback </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *const&#160;</td>
          <td class="paramname"><em>vector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void const *const&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function pushes a new value to the end of the vector. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector </td></tr>
    <tr><td class="paramname">value</td><td>a new value</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>return ERR_OK on success </dd></dl>

</div>
</div>
<a id="a0a4fa9dd217ec1de815de2f789da9a2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a4fa9dd217ec1de815de2f789da9a2d">&#9670;&nbsp;</a></span>vector_realloc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ErrorCode vector_realloc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *const&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This functions performs the reallocation of a vector. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>error code </dd></dl>

</div>
</div>
<a id="ad96d434d0467299d2476cf3662762f3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad96d434d0467299d2476cf3662762f3b">&#9670;&nbsp;</a></span>vector_resize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ErrorCode vector_resize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *const&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function resizes a vector. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>error code </dd></dl>

</div>
</div>
<a id="ace58d491db69b9909c8c2296fb950f6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace58d491db69b9909c8c2296fb950f6c">&#9670;&nbsp;</a></span>vector_set()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ErrorCode vector_set </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *const&#160;</td>
          <td class="paramname"><em>vector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void const *const&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sets data to an element. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector </td></tr>
    <tr><td class="paramname">i</td><td>index of element </td></tr>
    <tr><td class="paramname">value</td><td>data </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab1edc1e76aa589fc4d30426b79b1fd1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1edc1e76aa589fc4d30426b79b1fd1b">&#9670;&nbsp;</a></span>vector_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t vector_size </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> const *const&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns vector size. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the size of the vector </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
